php-fxsl_1.1.1-3_all.deb


Advertisement

Description

php-fxsl - XSL wrapper and extension to XSLTProcessor

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename php-fxsl_1.1.1-3_all.deb
Package name php-fxsl
Package version 1.1.1
Package release 3
Package architecture all
Package type deb
Category universe/php
Homepage https://github.com/theseer/fXSL
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.50 KB
Installed size 40.00 KB
An XSL wrapper / extension to the PHP 5.x XSLTProcessor with Exception and
extended Callback support.
The fXSL classes extend the standard XSLTProcessor to use exceptions at
all occasions of errors instead of PHP warnings, notices, or semi
completed transformations. They also add various custom methods and
shortcuts for convenience and to allow a nicer API to implement
callbacks to the PHP stack.

Alternatives

Package Version Architecture Repository
php-fxsl_1.1.1-3_all.deb 1.1.1 all Ubuntu Universe
php-fxsl - - -

Requires

Name Value
php-common -
php-xml -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-fxsl_1.1.1-3_all.deb
Source Package php-fxsl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-fxsl deb package:
    # sudo apt-get install php-fxsl

Files

Path
/usr/share/doc/php-fxsl/changelog.Debian.gz
/usr/share/doc/php-fxsl/copyright
/usr/share/doc/php-fxsl/readme.markdown.gz
/usr/share/doc/php-fxsl/examples/demo.php
/usr/share/doc/php-fxsl/examples/test.xsl
/usr/share/php/TheSeer/fXSL/autoload.php
/usr/share/php/TheSeer/fXSL/fxslcallback.php
/usr/share/php/TheSeer/fXSL/fxsltprocessor.php

Changelog

2017-12-03 - David Prévot <taffit@debian.org>
php-fxsl (1.1.1-3) unstable; urgency=medium
* Move to namespaced phpunit versions (Closes: #882892)
* Update Standards-Version to 4.1.2
2016-03-09 - David Prévot <taffit@debian.org>
php-fxsl (1.1.1-2) unstable; urgency=medium
* PHP 7.0 transition:
- Drop php5-xsl build-dependency
- Rebuild with recent pkg-php-tools
* Update Standards-Version to 3.9.7
2016-01-09 - David Prévot <taffit@debian.org>
php-fxsl (1.1.1-1) unstable; urgency=medium
* Adapt packaging to Composer source
* Provide a get-orig-source rule
* Provide DEP-8 tests for CI
* Update Standards-Version to 3.9.6
2014-04-29 - David Prévot <taffit@debian.org>
php-fxsl (1.1.0-1) unstable; urgency=low
* Initial Release (Closes: #746433)

See Also

Package Description
php-gearman_2.0.3+1.1.2+-1build3_i386.deb PHP wrapper to libgearman
php-geoip_1.1.1-1build2_i386.deb GeoIP module for PHP
php-geos_1.0.0-2build2_i386.deb GEOS bindings for PHP
php-geshi_1.0.8.11-2.1_all.deb Generic Syntax Highlighter
php-getid3_1.9.15+dfsg-1_all.deb scripts to extract information from multimedia files
php-gettext_1.0.12-0.1_all.deb transitional dummy package for php-php-gettext
php-gmagick_2.0.4~rc1+1.1.7~rc3-1build2_i386.deb Provides a wrapper to the GraphicsMagick library
php-gnupg_1.4.0-1build2_i386.deb PHP wrapper around the gpgme library
php-guestfs_1.36.13-1ubuntu3_i386.deb guest disk image management system - PHP bindings
php-guzzlehttp-promises_1.3.1-0ubuntu1_all.deb Guzzle promises library
php-hamcrest_2.0.0-0ubuntu1_all.deb This is the PHP port of Hamcrest Matchers
php-horde-activesync_2.39.0-1ubuntu1_all.deb ActiveSync server library
php-horde-alarm_2.2.10-1ubuntu1_all.deb Horde Alarm Libraries
php-horde-ansel_3.0.8+debian0-1ubuntu1_all.deb Photo management application
php-horde-argv_2.1.0-1ubuntu1_all.deb Horde command-line argument parsing package
Advertisement
Advertisement